<!DOCTYPE html>
<html lang="en">

<head>
  
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title> Global</title>

  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"></script>
  <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
  <script src="./build/entry.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,400,700|Inconsolata,700" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <link type="text/css" rel="stylesheet" href="https://jmblog.github.io/color-themes-for-google-code-prettify/themes/tomorrow-night.min.css">
  <link type="text/css" rel="stylesheet" href="styles/app.min.css">
  <link type="text/css" rel="stylesheet" href="styles/iframe.css">
  <link type="text/css" rel="stylesheet" href="">
  <script async defer src="https://buttons.github.io/buttons.js"></script>

  
</head>



<body class="layout small-header">
    <div id="stickyNavbarOverlay"></div>
    

<div class="top-nav">
    <div class="inner">
        <a id="hamburger" role="button" class="navbar-burger" aria-label="menu" aria-expanded="false">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
        <div class="logo">
            
            
        </div>
        <div class="menu">
            
            <div class="navigation">
                <a
                    href="index.html"
                    class="link"
                >
                    API Documentation
                </a>
                
                
                
            </div>
        </div>
    </div>
</div>
    <div id="main">
        <div
            class="sidebar "
            id="sidebarNav"
        >
            
            <nav>
                
                    <h2><a href="index.html">Documentation</a></h2><div class="category"><h3>Global</h3><ul><li><a href="global.html#loadMSData">loadMSData</a></li><li><a href="global.html#params">params</a></li><li><a href="global.html#ProfileData">ProfileData</a></li><li><a href="global.html#SignInButton">SignInButton</a></li></ul></div>
                
            </nav>
        </div>
        <div class="core" id="main-content-wrapper">
            <div class="content">
                <header class="page-title">
                    <p>Title</p>
                    <h1>Global</h1>
                </header>
                




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
</dl>


        
    
    </div>
    
    

    

    

    

    

    

    
        <div class='vertical-section'>
            <h1>Members</h1>
            <div class="members">
            
                <div class="member">

<h4 class="name" id="params">
    <a class="href-link" href="#params">#</a>
    
        
            <span class='tag'>constant</span>
        
    
    <span class="code-name">
        params
    </span>
    
</h4>




<div class="description">
    Attaches a given access token to a Microsoft Graph API call. Returns information about the user
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="utils_utils.tsx.html" class="button">View Source</a>
            <span>
                <a href="utils_utils.tsx.html">utils/utils.tsx</a>, <a href="utils_utils.tsx.html#line45">line 45</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="ProfileData">
    <a class="href-link" href="#ProfileData">#</a>
    
        
            <span class='tag'>constant</span>
        
    
    <span class="code-name">
        ProfileData
    </span>
    
</h4>




<div class="description">
    Renders information about the user obtained from Microsoft Graph
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="components_ProfileData.tsx.html" class="button">View Source</a>
            <span>
                <a href="components_ProfileData.tsx.html">components/ProfileData.tsx</a>, <a href="components_ProfileData.tsx.html#line6">line 6</a>
            </span>
        </p>
    
</dl>





</div>
            
            </div>
        </div>
    

    
        <div class='vertical-section'>
            <h1>Methods</h1>
            <div class="members">
            
                <div class="member">


    
    <h4 class="name" id="loadMSData">
        <a class="href-link" href="#loadMSData">#</a>
        
        <span class="code-name">
            
                loadMSData<span class="signature">(instance, accounts, params)</span><span class="type-signature"> &rarr; {Promise.&lt;A>}</span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        A wrapper for calling MS Graph with Auth Token
    </div>
    









    <h5>Parameters:</h5>
    
<div class="table-container">
    <table class="params table">
        <thead>
        <tr>
            
            <th>Name</th>
            

            <th>Type</th>

            

            

            <th class="last">Description</th>
        </tr>
        </thead>

        <tbody>
        

            
<tr class="deep-level-0">
  
      <td class="name"><code>instance</code></td>
  

  <td class="type">
  
      
<span class="param-type">Object</span>


  
  </td>

  

  

  <td class="description last"></td>
</tr>


        

            
<tr class="deep-level-0">
  
      <td class="name"><code>accounts</code></td>
  

  <td class="type">
  
      
<span class="param-type">Object</span>


  
  </td>

  

  

  <td class="description last"></td>
</tr>


        

            
<tr class="deep-level-0">
  
      <td class="name"><code>params</code></td>
  

  <td class="type">
  
      
<span class="param-type">Object</span>


  
  </td>

  

  

  <td class="description last"></td>
</tr>


        
        </tbody>
    </table>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="utils_utils.tsx.html" class="button">View Source</a>
            <span>
                <a href="utils_utils.tsx.html">utils/utils.tsx</a>, <a href="utils_utils.tsx.html#line13">line 13</a>
            </span>
        </p>
    
</dl>


















    <div class='columns method-parameter'>
        <div class="column is-2"><label>Returns:</label></div>
        <div class="column is-10">
            
                    

<div class="columns">
    
    
    <div class='column is-5 has-text-left'>
        <label>Type: </label>
        
<span class="param-type">Promise.&lt;A></span>


    </div>
    
</div>

                
        </div>
    </div>




</div>
            
                <div class="member">


    
    <h4 class="name" id="SignInButton">
        <a class="href-link" href="#SignInButton">#</a>
        
        <span class="code-name">
            
                SignInButton<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Renders a button which, when selected, will open a popup for login
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="components_SignInButton.tsx.html" class="button">View Source</a>
            <span>
                <a href="components_SignInButton.tsx.html">components/SignInButton.tsx</a>, <a href="components_SignInButton.tsx.html#line13">line 13</a>
            </span>
        </p>
    
</dl>





















</div>
            
            </div>
        </div>
    

    

    
</article>

</section>




            </div>
            
            <footer class="footer">
                <div class="content has-text-centered">
                    <p>Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.7</a></p>
                    <p class="sidebar-created-by">
                        <a href="https://github.com/SoftwareBrothers/better-docs" target="_blank">BetterDocs theme</a> provided with <i class="fas fa-heart"></i> by 
                        <a href="http://softwarebrothers.co" target="_blank">SoftwareBrothers - JavaScript Development Agency</a>
                    </p>
                </div>
            </footer>
            
        </div>
        <div id="side-nav" class="side-nav">
        </div>
    </div>
<script src="scripts/app.min.js"></script>
<script>PR.prettyPrint();</script>
<script src="scripts/linenumber.js"> </script>

</body>
</html>